.favorites__top-right {
  display: flex;
  align-items: center;
  gap: 35px;
}
.favorites__actions {
  display: flex;
  align-items: center;
  gap: 35px;
}
.favorites__all {
  display: flex;
  align-items: center;
  gap: 6px;
  cursor: pointer;
}
.favorites__all span {
  font-size: 13px;
  font-style: normal;
  font-weight: 400;
  line-height: 130%; /* 16.9px */
}
.favorites__all:hover .checkbox::before {
  box-shadow: 0 0 0 1px inset #BCBEC4;
}
.favorites__delete {
  color: var(--primary-brand-pink, #f00a6e);
  font-size: 13px;
  font-style: normal;
  font-weight: 500;
  line-height: 130%; /* 16.9px */
  border-bottom: 1px dashed transparent;
}
.favorites__delete:hover {
  border-bottom: 1px dashed var(--primary-brand-pink, #f00a6e);
}

.favorites {
  padding: 20px 0 60px;
}
.favorites .filters-selected {
  margin-top: 0;
}
.favorites__wrap {
  display: flex;
  align-items: flex-start;
  gap: 20px;
  margin-top: 60px;
}
.favorites__left {
  display: flex;
  padding: 22px;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 22px;
  flex-shrink: 0;
  border-radius: 16px;
  background: var(--secondary-ui-light-grey, #f3f4f6);
  width: 265px;
}
.favorites__filters {
  padding-bottom: 22px;
  border-bottom: 1px solid rgba(41, 42, 53, 0.07);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  gap: 8px;
}
.favorites__delete-all {
  background: var(--primary-brand-gradient-red, linear-gradient(90deg, #fd6e70 0.02%, #f4a780 100%));
  width: 100%;
}
.favorites__delete-all .icon {
  width: 20px;
  aspect-ratio: 1/1;
  background-color: #fff;
  mask-image: url("../img/icons/trash-2.svg");
  -webkit-mask-image: url("../img/icons/trash-2.svg");
  transition: 0.3s;
}

.fav-filt__disc {
  display: flex;
  align-items: center;
  gap: 3px;
  font-weight: 600;
  background: var(--primary-brand-gradient-purple, linear-gradient(90deg, #883be1 0.02%, #ff69a4 100%));
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.fav-filt__disc img {
  width: 19px;
  height: auto;
}

.favorites .card__fav svg {
  display: none;
}
.favorites .card__fav::before {
  content: "";
  border-radius: 6px;
  box-shadow: 0 0 0 1px inset var(--secondary-ui-light-grey, #f3f4f6);
  background: var(--secondary-ui-white, #fff);
  display: flex;
  width: 20px;
  height: 20px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 2;
}
.favorites .card__fav.select::before {
  background: url("../img/icons/check.svg") center center/14px 14px no-repeat;
  box-shadow: none;
}
.favorites .card__fav.select::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 6px;
  width: 20px;
  height: 20px;
  background: var(--primary-brand-gradient-red, linear-gradient(90deg, #fd6e70 0.02%, #f4a780 100%));
  z-index: 1;
}

.interest_items {
  padding: 80px 0;
}

.not-avail__badge {
  border-radius: 10px;
  box-shadow: 0 0 0 1px inset var(--primary-brand-pink, #f00a6e);
  display: flex;
  padding: 13px 10px;
  justify-content: center;
  align-items: center;
  gap: 8px;
  color: var(--primary-brand-pink, #f00a6e);
  font-size: 14px;
  font-style: normal;
  font-weight: 600;
  line-height: 130%; /* 18.2px */
  margin-top: 10px;
}

.catalog__fav {
  flex-grow: 1;
}

@media (max-width: 1150px) {
  .favorites__wrap {
    margin-top: 40px;
    flex-direction: column;
  }
  .favorites__left {
    width: 100%;
  }
  .catalog-category__show {
    display: none;
  }
  .favorites__top-right {
    margin-left: auto;
  }
  .favorites__delete-all {
    padding: 13px 14px;
  }
  .filters-selected {
    display: none;
  }
  .favorites__filters {
    width: 100%;
  }
}
@media (max-width: 640px) {
  .favorites__top-right {
    flex-direction: column-reverse;
    align-items: stretch;
    margin-left: 0;
    width: 100%;
    gap: 15px;
  }
  .custom-select .current {
    width: 100%;
  }
  .favorites__actions {
    justify-content: space-between;
  }
}
@media (max-width: 576px) {
  .favorites {
    padding: 16px 0 40px;
  }
  .favorites__wrap {
    gap: 15px;
    margin-top: 15px;
  }
  .favorites__left {
    padding: 16px;
    gap: 16px;
    border-radius: 12px;
  }
  .favorites__filters {
    padding-bottom: 16px;
  }
  .favorites .card__fav::before {
    border-radius: 3px;
    width: 12px;
    height: 12px;
  }
  .favorites .card__fav.select::before {
    background: url("../img/icons/check.svg") center center/14px 14px no-repeat;
    box-shadow: none;
  }
  .favorites .card__fav.select::after {
    border-radius: 3px;
    width: 12px;
    height: 12px;
  }
  .interest_items {
    padding: 0 0 40px;
  }
  .card__not-avail .card__prices {
    display: none;
  }
  .not-avail__badge {
    font-size: 12px;
    line-height: 140%; /* 18.2px */
    margin-top: 4px;
    width: 100%;
  }
  .favorites .card__fav.select::before {
    background-size: 7px 7px;
  }
}
.favorites__empty {
  padding: 25px 25px 25px 235px;
  align-items: center;
  gap: 11px;
  display: flex;
  justify-content: space-between;
  border-radius: 16px;
  border: 2px solid transparent;
  background: linear-gradient(#fff, #fff) padding-box, linear-gradient(90deg, #883be1, #ff69a4) border-box;
  position: relative;
  margin-top: 40px;
}
.favorites__empty-img {
  width: 364px;
  aspect-ratio: 1/1;
  position: absolute;
  left: -102px;
  bottom: -137px;
  z-index: 1;
  pointer-events: none;
  height: auto;
}
.favorites__empty-title {
  margin-bottom: 8px;
}
.favorites__empty-descr {
  color: var(--secondary-ui-dark-grey, #7d7e88);
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: 140%; /* 21px */
}
.favorites__empty-descr a {
  color: #f00a6e;
}
.favorites__empty-descr a:hover {
  text-decoration: underline;
}
.favorites__empty-btn .icon {
  width: 20px;
  aspect-ratio: 1/1;
  background-color: #fff;
  mask-image: url("../img/icons/shopping-cart.svg");
  -webkit-mask-image: url("../img/icons/shopping-cart.svg");
  transition: 0.3s;
}

.popular_items {
  padding-top: 20px;
}

.favorites__empty-btn {
  flex-shrink: 0;
}

@media (max-width: 1690px) {
  .favorites__empty-img {
    width: 323px;
    aspect-ratio: 1/1;
    position: absolute;
    left: -66px;
    bottom: -112px;
  }
}
@media (max-width: 800px) {
  .favorites__empty {
    padding: 93px 16px 16px;
    flex-direction: column;
    margin-top: 30px;
  }
  .favorites__empty-img {
    width: 310px;
    left: 50%;
    transform: translateX(-50%);
    bottom: auto;
    top: -103px;
  }
  .favorites__empty-title {
    text-align: center;
  }
  .favorites__empty-descr {
    text-align: center;
    font-size: 13px;
    line-height: 130%; /* 21px */
  }
  .favorites__empty-btn {
    width: 100%;
  }
  .favorites__empty-btn .icon {
    width: 18px;
  }
  .favorites__empty-btn span {
    font-size: 12px;
  }
  .popular_items {
    padding-top: 0;
  }
}
.modal__container_fav-delete {
  padding: 40px 50px 30px 50px;
  width: 446px;
}

.fav-delete__title {
  text-align: center;
  margin-bottom: 18px;
}
.fav-delete__title span {
  color: var(--primary-brand-red, #fd6f70);
}
.fav-delete__btns {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 21px;
}
.fav-delete__agree {
  display: flex;
  width: 170px;
  padding: 13px 14px;
  justify-content: center;
  align-items: center;
  gap: 6px;
  border-radius: 10px;
  background: var(--secondary-ui-light-grey, #f3f4f6);
}
.fav-delete__agree .icon {
  background-color: #292a35;
  mask-image: url("../img/icons/trash-2.svg");
  -webkit-mask-image: url("../img/icons/trash-2.svg");
  width: 20px;
  aspect-ratio: 1/1;
  transition: 0.3s;
  opacity: 0.4;
}
.fav-delete__agree span {
  color: var(--secondary-ui-black, #292a35);
  font-size: 14px;
  font-style: normal;
  font-weight: 600;
  line-height: 130%; /* 18.2px */
  transition: 0.3s;
}
.fav-delete__agree:hover .icon {
  background-color: var(--primary-brand-pink, #f00a6e);
  opacity: 1;
}
.fav-delete__agree:hover span {
  color: var(--primary-brand-pink, #f00a6e);
}
.fav-delete__cancel {
  color: var(--primary-brand-pink, #f00a6e);
  font-size: 13px;
  font-style: normal;
  font-weight: 500;
  line-height: 130%; /* 16.9px */
  border-bottom: 1px dashed rgba(240, 10, 110, 0.3);
}
.fav-delete__cancel:hover {
  border-bottom-color: transparent;
}

.breadcrumbs_fav {
  margin-top: 30px;
}

@media (max-width: 576px) {
  .modal__container_fav-delete {
    padding: 16px;
    width: calc(100% - 32px);
  }
  .breadcrumbs_fav {
    margin-top: 20px;
  }
  .fav-delete__title {
    padding: 0 36px;
  }
}
.favorites__wrap .card__fav .icon {
  display: none;
}

@media (max-width: 1000px) {
  .favorites__wrap .catalog__cards {
    grid-template-columns: repeat(2, 1fr);
  }
}